<?php
 class elFinderEditor {
 protected $allowed = array();
 protected $elfinder;
 protected $args;
 public function __construct($elfinder, $args) {
 $this->elfinder = $elfinder;
 $this->args = $args;
 }
 public function enabled() {
 return true;
 }
 public function isAllowedMethod($name) {
 $checker = array_flip($this->allowed);
 return isset($checker[$name]);
 }
 public function argValue($key, $empty = '') {
 return isset($this->args[$key]) ? $this->args[$key] : $empty;
 }
 }
 